#ifndef cmGlobalVisualDSP4Generator_h
#define cmGlobalVisualDSP4Generator_h

#include "cmGlobalGenerator.h"

/** \class cmGlobalVisualDSP4Generator
 * \brief Base class for global Visual Studio generators.
 *
 * cmGlobalVisualDSP4Generator provides functionality common to all
 * global Visual Studio generators.
 */
class cmGlobalVisualDSP4Generator : public cmGlobalGenerator
{
public:
  cmGlobalVisualDSP4Generator();
  static cmGlobalGenerator* New() { return new cmGlobalVisualDSP4Generator; }

  ///! Get the name for the generator.
  virtual const char* GetName() const {
    return cmGlobalVisualDSP4Generator::GetActualName();}
  static const char* GetActualName() {return "VisualDSP4";}

  /** Get the documentation entry for this generator.  */
  virtual void GetDocumentation(cmDocumentationEntry& entry) const;
  
  ///! Create a local generator appropriate to this Global Generator
  virtual cmLocalGenerator *CreateLocalGenerator();

  virtual void Generate();

  virtual void EnableLanguage(std::vector<std::string>const& languages,
                              cmMakefile *);

  virtual ~cmGlobalVisualDSP4Generator();

protected:
private:
};

#endif
